summaryrefslogtreecommitdiff
path: root/.github/workflows/archlinux.sh
diff options
context:
space:
mode:
Diffstat (limited to '.github/workflows/archlinux.sh')
-rwxr-xr-x.github/workflows/archlinux.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/.github/workflows/archlinux.sh b/.github/workflows/archlinux.sh
new file mode 100755
index 0000000..9017dc8
--- /dev/null
+++ b/.github/workflows/archlinux.sh
@@ -0,0 +1,42 @@
+#!/usr/bin/bash
+
+set -eo pipefail
+
+# Use grouped output messages
+infobegin() {
+ echo "::group::${1}"
+}
+infoend() {
+ echo "::endgroup::"
+}
+
+# Required packages on Archlinux
+requires=(
+ ccache # Use ccache to speed up build
+ clang # Build with clang on Archlinux
+)
+
+# https://gitlab.archlinux.org/archlinux/packaging/packages/mate-notification-daemon
+requires+=(
+ autoconf-archive
+ gcc
+ gettext
+ git
+ glib2-devel
+ libcanberra
+ libnotify
+ libwnck3
+ make
+ mate-common
+ mate-panel
+ python
+ which
+)
+
+infobegin "Update system"
+pacman --noconfirm -Syu
+infoend
+
+infobegin "Install dependency packages"
+pacman --noconfirm -S ${requires[@]}
+infoend